Skip to Content

Hybrid App Toolkit - Package an existing app for mobile

We want to package our existing SAPUI5 applications into mobile apps. For that, we are trying to use the Hybrid App Toolkit (HAT) plugin to do it directly from the SAP Web IDE (full-stack), following the HAT documentation, referred by the same plugin. However, we receive this error:

Build failed for [ANDROID] [ErrorCode: 40001] [ErrorStatus: RESOURCE COLLECTION FAILED]

We don't know if we can package our "old" SAPUI5 apps, so we tried, but with this error, we have no clue about what we would need to modify in our app... or if it is a configuration error. We haven't found any information about the error code in the SAP notes or anywhere. Only this question references it, but it does not help. Can anyone help, please?

More in detail:

We are using:

  • SAP Web IDE Full-Stack (v.180118), with Hybrid App Toolkit plug-in (v.1.29.2)
  • "SAP Cloud Platform Mobile Service for Development and Operations" as a build option

We have brought our old application into SAP Web IDE Full-Stack via the two methods referred in the documentation, but we get the same error.

  • Extending the existing app from SAP Web IDE Full-Stack
  • Exporting the project from the SAP Web IDE, where it was developed using the SAP Fiori Master-Detail template available at that time

Important to add: We can actually create a new project from SAP Web IDE Full-Stack, using the current SAP Fiori Master-Detail template and we can actually build it into the Mobile Service for Development and Operations... so we think we can fix our current app. Could someone give a clue?

build-error.png (21.5 kB)
Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Apr 03 at 01:27 PM

    Hello Luisma,

    Could you solve this problem?

    Best Regards,

    Kaan.

    Add comment
    10|10000 characters needed characters exceeded